Page MenuHomeFreeBSD

security/softether-devel: update to v4.27-9668-beta
ClosedPublic

Authored by meta on Jul 26 2018, 7:36 AM.

Details

Reviewers
pi
hrs
meta
Summary

Now security/softether-devel is older than security/softether.
I'm working on bringing the newer development snapshot again.

The source tarball can be found here:
https://www.softether-download.com

The site distributes RTM version and beta version of softether.
The current version of security/softether is v4.25-9656-rtm, the latest
RTM release. What about making softether ports correspond like this?

  • security/softether = RTM release
  • security/softether-devel = beta release

I've renewed security/softether-devel based on security/softether.

Here's my changes other than version update.

  • use PKGNAMESUFFIX rather than PORTNAME=softether-devel
  • use tab after =
  • sort ONLY_FOR_ARCHS
  • bring ONLY_FOR_ARCHS
Test Plan
  • poudriere testbuild passed
  • pet portlint warnings except for existing absolute path warnings
  • further test still work in progress

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 18546
Build 18247: arc lint + arc unit

Event Timeline

security/softether-devel/Makefile
15

You should also set ONLY_FOR_ARCHS_REASON.

17–23

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

24–38

This could be simplified as:

src/Cedar/* \
src/Mayaqua/*
39

If you set this, you must say why it is unsafe in either the variable, or a comment.

57–59

Patching should happen in a post-patch target.

72

You already have do-install, no need to add a post-install, put everything in do-install.

79–83

Any reason to have removed the post-install-DOCS-on target?

security/softether-devel/Makefile
15

Indeed but I don't know the reason. It is already defined in security/softether.

57–59

Indeed, thanks.

79–83

No special reasons. First of all I syced softether-devel with softether.
And the updated softether-devel. So the reason why I remove it is just security/softether doess't have it.

security/softether-devel/Makefile
24–38

It fails to patch. This works:

src/Cedar/*.* src/Mayaqua/*.*
39

May be it can be removed. Confirmed it builds.

  • combine do-install and post-install
  • use post-patch to patch, not post-extract
  • put DOT2UNIX_FILES the right place
  • simplify DOT2UNIX_FILES

The reason why ONLY_FOR_ARCHS= amd64 i386 is upstream doesn't support other archs.
See https://www.softether.org/3-spec

security/softether-devel/Makefile
5

MASTER_SITES and DISTNAME both have beta in them, maybe the version should be:

DISTVERSION=   4.27-9668-beta

or something, to respect the fact that it is beta.

24–49

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

43

Why +=?

security/softether-devel/Makefile
43

Please remember, I'm trying to keep -devel port newer than basic port. First of all, copy softether to softether-devel and then I did update.
Keeping both ports in sync makes it easy to maintain. The line is brought from security/softether. The reason is "because basic ports uses +=".

Can you focus on diff between softether and softether-devel port? Not on the previous revision of softether-devel.

This port is based on security/softether, let's fix it first, and I'll copy it to softether-devel and update.

The true diff is diff -ruN security/softether security/softether-devel. Please focus on that.

I don't intend to fix Makefile issues which security/softether already have.

just wanted to

  • copy softether to softether-devel to sync both ports
  • use beta tarball rather than GitHub snapshot
  • update to the test beta tarball

Quitting :(

Does any one how to resign this review? I'm tired from lots of pointing outs out of scope of updating -devel port.
I just wanted to update -devel port. All issues softether port should be fixed at softether port. Th

If all issues on softether port Makefile have been fixed, I'll copy softether Makefile to softether-devel and update version.

This revision is now accepted and ready to land.Aug 16 2018, 10:36 AM

Quit. Tired of lots of out-of-scope pointing outs! (╯°□°)╯︵ ┻━┻
I just wanted to update this port, I have no interest in making cosmetic changes on this.
Maintainer should do it.

security/softether-devel/pkg-message
3–10

You should not tell people to edit rc.conf, we have tools for this, for example, to enable, run:

sysrc ​softether_client_enable=yes
meta marked an inline comment as done.Oct 31 2018, 3:59 PM
meta added inline comments.
security/softether-devel/pkg-message
3–10

I should say again, I'm trying to renew security/softether-devel based on security/softether.
This is brought from security/softether. I really want to security/softether and -devel port in sync.
You should comment that on security/softether. The true diff is diff -ruN security/softether security/softether-devel. Please focus on that.